KAboutDialog class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KAboutDialog Class Reference

A KDialogBase with predefined main widget. More...

`#include <kaboutdialog.h>`

Inheritance diagram for KAboutDialog:

[legend]
Collaboration diagram for KAboutDialog:

[legend]
List of all members.

## Public Types
enum | LayoutType { AbtPlain = 0x0001, AbtTabbed = 0x0002, AbtTitle = 0x0004, AbtImageLeft = 0x0008, AbtImageRight = 0x0010, AbtImageOnly = 0x0020, AbtProduct = 0x0040, AbtKDEStandard = AbtTabbed|AbtTitle|AbtImageLeft, AbtAppStandard = AbtTabbed|AbtTitle|AbtProduct, AbtImageAndTitle = AbtPlain|AbtTitle|AbtImageOnly }
| Layout formats. More...
## Signals
void | sendEmail (const QString &name, const QString &email)
| Send an email to this person.
void | openURL (const QString &url)
| Open the selected URL.
## Public Member Functions
| KAboutDialog (QWidget *parent=0, const char *name=0, bool modal=true)
| The standard Qt constructor (Constructor I).
| KAboutDialog (int dialogLayout, const QString &caption, int buttonMask, ButtonCode defaultButton, QWidget *parent=0, const char *name=0, bool modal=false, bool separator=false, const QString &user1=QString::null, const QString &user2=QString::null, const QString &user3=QString::null)
| The extended constructor.
void | adjust ()
| Adjusts the dialog.
virtual void | show (void)
| Makes a modeless (modal = false in constructor) dialog visible.
virtual void | show (QWidget *centerParent)
| Makes a modeless (modal = false in constructor) dialog visible.
void | setTitle (const QString &title)
| (Constructor II only) Sets a title (not caption) in the uppermost area of the dialog.
void | setImage (const QString &fileName)
| (Constructor II only) Define an image to be shown in the dialog.
void | setImageBackgroundColor (const QColor &color)
| (Constructor II only) The image has a minimum size, but is centered within an area if the dialog box is enlarged by the user.
void | setImageFrame (bool state)
| (Constructor II only) Enables or disables a frame around the image.
void | setProduct (const QString &appName, const QString &version, const QString &author, const QString &year)
| (Constructor II only) Prints the application name, KDE version, author, a copyright sign and a year string.
QFrame * | addTextPage (const QString &title, const QString &text, bool richText=false, int numLines=10)
| (Constructor II only) Adds a text page to a tab box.
QFrame * | addLicensePage (const QString &title, const QString &text, int numLines=10)
| (Constructor II only) Adds a license page to a tab box.
KAboutContainer * | addContainerPage (const QString &title, int childAlignment=AlignCenter, int innerAlignment=AlignCenter)
| (Constructor II only) Adds a container to a tab box.
KAboutContainer * | addScrolledContainerPage (const QString &title, int childAlignment=AlignCenter, int innerAlignment=AlignCenter)
| (Constructor II only) Adds a container inside a QScrollView to a tab box.
KAboutContainer * | addContainer (int childAlignment, int innerAlignment)
| (Constructor II only) Adds a container.
QFrame * | addPage (const QString &title)
| (Constructor II only) Adds an empty page to a tab box.
void | setLogo (const QPixmap &)
| (Constructor I only) Sets the image as the application logo.
void | setAuthor (const QString &name, const QString &email, const QString &url, const QString &work)
| (Constructor I only) Sets the author's name and email address.
void | setMaintainer (const QString &name, const QString &email, const QString &url, const QString &work)
| (Constructor I only) Sets the maintainer's name and email address.
void | addContributor (const QString &name, const QString &email, const QString &url, const QString &work)
| (Constructor I only) Show this person as one of the major contributors.
void | setVersion (const QString &name)
| (Constructor I only) Sets the text describing the version.
## Static Public Member Functions
void | imageURL (QWidget *parent, const QString &caption, const QString &path, const QColor &imageColor, const QString &url)
| Create a modal dialog with an image in the upper area with a URL link below.
## Protected Slots
void | sendEmailSlot (const QString &name, const QString &email)
| Connected to widget->sendEmail.
void | openURLSlot (const QString &url)
| Open this URL.
virtual void | mouseTrackSlot (int mode, const QMouseEvent *e)
| (Constructor II only) Tells the position of the mouse cursor when the left mouse button is pressed above an image
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
KAboutWidget * | about
| The main widget (Constructor I).
KAboutContainerBase * | mContainerBase
| The main widget (Constructor II).

## Detailed Description

A KDialogBase with predefined main widget.

As a KDialogBase it uses your application wide settings for KDialogBase objects (base frame tiles, main frame tiles etc). To use it, simply create a KAboutDialog object, set all (or some) of its properties and show it. Do not derive it to create your own about dialog until you need some cool features that are unsupported and you have contacted me to add them.

The dialog can be created using two different constructors. The difference between these constructors is the available components that can be used to build the contents of the dialog. The first (Constructor I) provides a number of easy to use methods. Basically it allows you to add the components of choice, and the components are placed in a predefined layout. You do not have to plan the layout. Everything is taken care of.

The second constructor (Constructor II) works in quite the same manner as the first, but you have better control on where the components are postioned in the layout and you have access to an extended number of components you can install such as titles, product information, a tabbed pages (where you can display rich text with url links) and a person (developer) information field. The "About KDE" dialog box is created with Constructor II.

For the derived features, see the basic class KDialogBase.

Author:
  Mirko Boehm (mirko@kde.org) and Espen Sand (espensa@online.no)

See also:
  KDialogBase

Definition at line 283 of file kaboutdialog.h.

## Member Enumeration Documentation

enum KAboutDialog::LayoutType

| Layout formats. Definition at line 291 of file kaboutdialog.h.

## Constructor & Destructor Documentation

KAboutDialog::KAboutDialog | ( | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | bool | modal = true
| ) |

| The standard Qt constructor (Constructor I). Add components with the following methods: setLogo(), setAuthor(), setMaintainer(), addContributor(), or setVersion(). The dialog will be laid out automatically. Definition at line 1481 of file kaboutdialog.cpp. References about, openURL(), openURLSlot(), sendEmail(), sendEmailSlot(), and KDialogBase::setMainWidget().

KAboutDialog::KAboutDialog | ( | int | dialogLayout,
|  | const QString & | caption,
|  | int | buttonMask,
|  | ButtonCode | defaultButton,
|  | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | bool | modal = false,
|  | bool | separator = false,
|  | const QString & | user1 = QString::null,
|  | const QString & | user2 = QString::null,
|  | const QString & | user3 = QString::null
| ) |

  | The extended constructor. (Constructor II). Add components with the methods: setTitle(), setImage(), setImageBackgroundColor(), setImageFrame(), setProduct(), addTextPage(), addContainerPage(), addContainer(), or addPage(). Parameters:
  dialogLayout | Use a mask of LayoutType flags.
  caption | The dialog caption. The text you specify is prepended by i18n("About").
  buttonMask | Specifies what buttons will be visible.
  defaultButton | Specifies what button will be marked as the default.
  parent | Parent of the dialog.
  name | Dialog name (for internal use only)
  modal | Sets dialog modality. If false, the rest of the program interface (other dialogs, for example) is accessible while the dialog is open.
  separator | If true, a separator line is drawn between the action buttons an the main widget.
  user1 | User button1 text.
  user2 | User button2 text.
  user3 | User button3 text.
Definition at line 1501 of file kaboutdialog.cpp. References mContainerBase, mouseTrackSlot(), openURLSlot(), sendEmailSlot(), KDialogBase::setMainWidget(), and KDialog::setPlainCaption().

## Member Function Documentation

void KAboutDialog::adjust | ( |  | ) |

| Adjusts the dialog. You can call this method after you have set up all the contents but it is not required. It is done automatically when show() is executed. Definition at line 1540 of file kaboutdialog.cpp. References about, and KAboutWidget::adjust(). Referenced by show().

void KAboutDialog::show | ( | void |  | ) | `[virtual]`

| Makes a modeless (modal = false in constructor) dialog visible. If you reimplement this method make sure you run it in the new method (e.g., show()). Reimplemented from KDialogBase. Reimplemented from QDialog. Definition at line 1524 of file kaboutdialog.cpp. References adjust(), mContainerBase, QDialog::show(), and KAboutContainerBase::show(). Referenced by KHelpMenu::aboutKDE().

void KAboutDialog::show | ( | QWidget * | centerParent | ) | `[virtual]`

  | Makes a modeless (modal = false in constructor) dialog visible. If you reimplmement this method make sure you run it in the new method (i.e., show( parent )). Parameters:
  centerParent | Center the dialog with respect to this widget.
Definition at line 1532 of file kaboutdialog.cpp. References adjust(), mContainerBase, QDialog::show(), and KAboutContainerBase::show().

void KAboutDialog::setTitle | ( | const QString & | title | ) |

  | (Constructor II only) Sets a title (not caption) in the uppermost area of the dialog. Parameters:
  title | Title string.
Definition at line 1666 of file kaboutdialog.cpp. References mContainerBase, and KAboutContainerBase::setTitle(). Referenced by KAboutKDE::KAboutKDE().

void KAboutDialog::setImage | ( | const QString & | fileName | ) |

  | (Constructor II only) Define an image to be shown in the dialog. The position is dependent on the `dialogLayout` in the constructor Parameters:
  fileName | Path to image file.
Definition at line 1673 of file kaboutdialog.cpp. References mContainerBase, and KAboutContainerBase::setImage(). Referenced by imageURL(), and KAboutKDE::KAboutKDE().

void KAboutDialog::setImageBackgroundColor | ( | const QColor & | color | ) |

  | (Constructor II only) The image has a minimum size, but is centered within an area if the dialog box is enlarged by the user. You set the background color of the area with this method. Parameters:
  color | Background color.
Definition at line 1680 of file kaboutdialog.cpp. References mContainerBase, and KAboutContainerBase::setImageBackgroundColor(). Referenced by imageURL(), and KAboutKDE::KAboutKDE().

void KAboutDialog::setImageFrame | ( | bool | state | ) |

  | (Constructor II only) Enables or disables a frame around the image. The frame is, by default, enabled in the constructor Parameters:
  state | A value of `true` enables the frame
Definition at line 1687 of file kaboutdialog.cpp. References mContainerBase, and KAboutContainerBase::setImageFrame().

void KAboutDialog::setProduct | ( | const QString & | appName,
|  | const QString & | version,
|  | const QString & | author,
|  | const QString & | year
| ) |

  | (Constructor II only) Prints the application name, KDE version, author, a copyright sign and a year string. To the left of the text the standard application icon is displayed. Parameters:
  appName | The application name.
  version | Application version.
  author | One or more authors.
  year | A string telling when the application was made.
Definition at line 1694 of file kaboutdialog.cpp. References mContainerBase, and KAboutContainerBase::setProduct().

QFrame * KAboutDialog::addTextPage | ( | const QString & | title,
|  | const QString & | text,
|  | bool | richText = false,
|  | int | numLines = 10
| ) |

  | (Constructor II only) Adds a text page to a tab box. The text can be regular text or rich text. The rich text can contain URLs and mail links. Parameters:
  title | Tab name.
  text | The text to display.
  richText | Set this to `true` if 'text' is rich text.
  numLines | The text area height will be adjusted so that this is the minimum number of lines of text that are visible.
Returns: The frame that contains the page. Definition at line 1617 of file kaboutdialog.cpp. References KAboutContainerBase::addTextPage(), and mContainerBase. Referenced by KAboutKDE::KAboutKDE().

QFrame * KAboutDialog::addLicensePage | ( | const QString & | title,
|  | const QString & | text,
|  | int | numLines = 10
| ) |

  | (Constructor II only) Adds a license page to a tab box. Parameters:
  title | Tab name.
  text | The text to display.
  numLines | The text area height will be adjusted so that this is the minimum number of lines of text that are visible.
Returns: The frame that contains the page. Definition at line 1624 of file kaboutdialog.cpp. References KAboutContainerBase::addLicensePage(), and mContainerBase.

KAboutContainer * KAboutDialog::addContainerPage | ( | const QString & | title,
|  | int | childAlignment = AlignCenter,
|  | int | innerAlignment = AlignCenter
| ) |

  | (Constructor II only) Adds a container to a tab box. You can add text and images to a container. Parameters:
  title | Tab name.
  childAlignment | Specifies how the children of the container are aligned with respect to the container.
  innerAlignment | Specifies how the children are aligned with respect to each other.
Returns: The new container. Definition at line 1632 of file kaboutdialog.cpp. References KAboutContainerBase::addContainerPage(), and mContainerBase.

KAboutContainer * KAboutDialog::addScrolledContainerPage | ( | const QString & | title,
|  | int | childAlignment = AlignCenter,
|  | int | innerAlignment = AlignCenter
| ) |

  | (Constructor II only) Adds a container inside a QScrollView to a tab box. You can add text and images to a container. Parameters:
  title | Tab name.
  childAlignment | Specifies how the children of the container are aligned with respect to the container.
  innerAlignment | Specifies how the children are aligned with respect to each other.
Returns: The new container. Definition at line 1641 of file kaboutdialog.cpp. References KAboutContainerBase::addScrolledContainerPage(), and mContainerBase.

KAboutContainer * KAboutDialog::addContainer | ( | int | childAlignment,
|  | int | innerAlignment
| ) |

  | (Constructor II only) Adds a container. You can add text and images to a container. Parameters:
  childAlignment | Specifies how the children of the container are aligned with respect to the container.
  innerAlignment | Specifies how the children are aligned with respect to each other.
Returns: The new container. Definition at line 1658 of file kaboutdialog.cpp. References KAboutContainerBase::addContainer(), and mContainerBase. Referenced by imageURL().

QFrame * KAboutDialog::addPage | ( | const QString & | title | ) |

  | (Constructor II only) Adds an empty page to a tab box. Parameters:
  title | Tab name
Returns: The new page. Definition at line 1651 of file kaboutdialog.cpp. References KAboutContainerBase::addEmptyPage(), and mContainerBase.

void KAboutDialog::setLogo | ( | const QPixmap & |  | ) |

| (Constructor I only) Sets the image as the application logo. Definition at line 1549 of file kaboutdialog.cpp. References about, and KAboutWidget::setLogo().

void KAboutDialog::setAuthor | ( | const QString & | name,
|  | const QString & | email,
|  | const QString & | url,
|  | const QString & | work
| ) |

| (Constructor I only) Sets the author's name and email address. Definition at line 1565 of file kaboutdialog.cpp. References about, and KAboutWidget::setAuthor().

void KAboutDialog::setMaintainer | ( | const QString & | name,
|  | const QString & | email,
|  | const QString & | url,
|  | const QString & | work
| ) |

| (Constructor I only) Sets the maintainer's name and email address. Definition at line 1556 of file kaboutdialog.cpp. References about, and KAboutWidget::setMaintainer().

void KAboutDialog::addContributor | ( | const QString & | name,
|  | const QString & | email,
|  | const QString & | url,
|  | const QString & | work
| ) |

| (Constructor I only) Show this person as one of the major contributors. Definition at line 1574 of file kaboutdialog.cpp. References about, and KAboutWidget::addContributor().

void KAboutDialog::setVersion | ( | const QString & | name | ) |

| (Constructor I only) Sets the text describing the version. Definition at line 1583 of file kaboutdialog.cpp. References about, and KAboutWidget::setVersion().

void KAboutDialog::imageURL | ( | QWidget * | parent,
|  | const QString & | caption,
|  | const QString & | path,
|  | const QColor & | imageColor,
|  | const QString & | url
| ) | `[static]`

| Create a modal dialog with an image in the upper area with a URL link below. Definition at line 1703 of file kaboutdialog.cpp. References addContainer(), KAboutContainer::addPerson(), QDialog::exec(), setImage(), setImageBackgroundColor(), and KDialog::setPlainCaption().

void KAboutDialog::sendEmail | ( | const QString & | name,
|  | const QString & | email
| ) | `[signal]`

| Send an email to this person. The application must provide the functionality. Referenced by KAboutDialog().

void KAboutDialog::openURL | ( | const QString & | url | ) | `[signal]`

| Open the selected URL. Referenced by KAboutDialog().

void KAboutDialog::sendEmailSlot | ( | const QString & | name,
|  | const QString & | email
| ) | `[protected, slot]`

| Connected to widget->sendEmail. Definition at line 1591 of file kaboutdialog.cpp. Referenced by KAboutDialog().

void KAboutDialog::openURLSlot | ( | const QString & | url | ) | `[protected, slot]`

| Open this URL. Definition at line 1602 of file kaboutdialog.cpp. Referenced by KAboutDialog().

void KAboutDialog::mouseTrackSlot | ( | int | mode,
|  | const QMouseEvent * | e
| ) | `[protected, virtual, slot]`

| (Constructor II only) Tells the position of the mouse cursor when the left mouse button is pressed above an image Definition at line 1611 of file kaboutdialog.cpp. Referenced by KAboutDialog().

## Member Data Documentation

KAboutWidget* KAboutDialog::about`[protected]`

| The main widget (Constructor I). Definition at line 565 of file kaboutdialog.h. Referenced by addContributor(), adjust(), KAboutDialog(), setAuthor(), setLogo(), setMaintainer(), and setVersion().

KAboutContainerBase* KAboutDialog::mContainerBase`[protected]`

| The main widget (Constructor II). Definition at line 570 of file kaboutdialog.h. Referenced by addContainer(), addContainerPage(), addLicensePage(), addPage(), addScrolledContainerPage(), addTextPage(), KAboutDialog(), setImage(), setImageBackgroundColor(), setImageFrame(), setProduct(), setTitle(), and show().

The documentation for this class was generated from the following files:

- kaboutdialog.h
- kaboutdialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:58:32 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001